Move "Edit review" user preferences into the "Recent changes" user preferences tab
Closed, ResolvedPublic

Description

We should move the "Pending changes" (sometimes called "Edit review", c.f. [[mw:Special:Preferences#mw-prefsection-flaggedrevs]]) user preferences to the "Editing" MediaWiki core user preferences tab.

The "Editing" tab in core includes editing-related preferences, so this is a nature fit for Pending changes/FlaggedRevs-related preferences, I think.

This should be a fairly simple change to implement. Marking this bug with the "easy" keyword accordingly.


Version: unspecified
Severity: enhancement

bzimport set Reference to bz63576.
MZMcBride created this task.Via LegacyApr 5 2014, 5:25 PM
Nemo_bis added a comment.Via ConduitApr 14 2014, 7:07 PM

Reviewing does not involve editing and most of those options are about *reading* (action=view). Moreover, the "Editing" tab is very crowded. "Recent changes" is a more sensible destination, as those preferences control how latest revisions are shown.

gerritbot added a comment.Via ConduitApr 15 2014, 2:21 PM

Change 125996 had a related patch set uploaded by Tinaj1234:
Moved 'Edit review' user preferences into the 'Recent changes' tab

https://gerrit.wikimedia.org/r/125996

gerritbot added a comment.Via ConduitApr 16 2014, 2:27 PM

Change 125996 merged by jenkins-bot:
Moved 'Edit review' user preferences into the 'Recent changes' tab

https://gerrit.wikimedia.org/r/125996

siebrand added a comment.Via ConduitApr 16 2014, 2:28 PM

Thank for the patch!

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.